package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttBridBase;
import org.apache.ibatis.annotations.Mapper;

/** 桥梁信息 Mapper */
@Mapper
public interface AttBridBaseMapper {
    /**
     * 查询桥梁信息列表
     * 
     * @param attBridBase 查询条件
     * @return 桥梁信息列表
     */
    public List<AttBridBase> selectAttBridBaseList(AttBridBase attBridBase);

    /**
     * 通过桥梁编码查询桥梁信息
     * 
     * @param bridCode 桥梁编码
     * @return 桥梁信息
     */
    public AttBridBase selectAttBridBaseById(String bridCode);

    /**
     * 通过桥梁编码删除桥梁信息
     * 
     * @param bridCode 桥梁编码
     * @return 影响行数
     */
    public int deleteAttBridBaseById(String bridCode);

    /**
     * 批量删除桥梁信息
     * 
     * @param bridCodes 桥梁编码数组
     * @return 影响行数
     */
    public int deleteAttBridBaseByIds(String[] bridCodes);

    /**
     * 修改桥梁信息
     * 
     * @param attBridBase 桥梁信息
     * @return 影响行数
     */
    public int updateAttBridBase(AttBridBase attBridBase);

    /**
     * 新增桥梁信息
     * 
     * @param attBridBase 桥梁信息
     * @return 影响行数
     */
    public int insertAttBridBase(AttBridBase attBridBase);
}
